This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1269999 - Request: "'nil' is not an ActiveModel-compatible object" error when on approve request screen
Request: "'nil' is not an ActiveModel-compatible object" error when on approv...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Thom Carlin
: ZStream
Depends On:
Blocks: 1270305
  Show dependency treegraph
 
Reported: 2015-10-08 14:15 EDT by Harpreet Kataria
Modified: 2015-12-08 08:35 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1270305 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:35:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harpreet Kataria 2015-10-08 14:15:21 EDT
Description of problem:"'nil' is not an ActiveModel-compatible object" error when viewing details while approving provisioning request 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to Services/Requests screen
2. Select VM Provisioning Request
3. Press Approve button, on Approve screen try to change tab on the Dialog at the bottom of screen

Actual results: It should show contents of the tab


Expected results: Blows up with error: [----] F, [2015-10-08T14:11:44.857917 #9975:104f988] FATAL -- : Error caught: [ArgumentError] 'nil' is not an ActiveModel-compatible object. It must implement :to_partial_path.


Additional info:
Comment 1 Harpreet Kataria 2015-10-08 14:15:47 EDT
https://github.com/ManageIQ/manageiq/issues/4631
Comment 3 CFME Bot 2015-10-09 10:06:00 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/9f4d83af8a16910024158307cce5424f7cfd8a72

commit 9f4d83af8a16910024158307cce5424f7cfd8a72
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Oct 8 15:14:31 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Oct 8 15:14:31 2015 -0400

    Fixed to return correct partial name
    
    Existing code was returning nil as partial name when changing tabs on Provisioning Approve/Deny screens.
    Added spec tests to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269999
    Fixes #4631

 .../application_controller/miq_request_methods.rb  |  3 +-
 .../miq_request_methods_spec.rb                    | 36 ++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)
 create mode 100644 spec/controllers/application_controller/miq_request_methods_spec.rb
Comment 6 CFME Bot 2015-10-16 17:12:57 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7381e3a5ba25c9f5ee4dd9ecdd57e4897627b881

commit 7381e3a5ba25c9f5ee4dd9ecdd57e4897627b881
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Oct 9 11:03:58 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Oct 9 11:11:02 2015 -0400

    Fixed to return correct partial name
    
    Existing code was returning nil as partial name when changing tabs on Provisioning Approve/Deny screens.
    Added spec tests to verify the fix
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269999
    https://bugzilla.redhat.com/show_bug.cgi?id=1270305
    Fixes #4631

 .../application_controller/miq_request_methods.rb  |  3 +-
 .../miq_request_methods_spec.rb                    | 36 ++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)
 create mode 100644 vmdb/spec/controllers/application_controller/miq_request_methods_spec.rb
Comment 7 Thom Carlin 2015-10-28 07:25:17 EDT
More complete steps:
1. Infrastructure > Providers
2. Add new Provider with credentials
3. Refresh Relationships and Power States
4. Infrastructure > Virtual Machines
5. Lifecycle > Provision VM
6. enter information and submit
7. You are taken to Services > Request screen
8. Select row with provisioning requests
...
Comment 8 Thom Carlin 2015-10-28 07:25:18 EDT
More complete steps:
1. Infrastructure > Providers
2. Add new Provider with credentials
3. Refresh Relationships and Power States
4. Infrastructure > Virtual Machines
5. Lifecycle > Provision VM
6. enter information and submit
7. You are taken to Services > Request screen
8. Select row with provisioning requests
...
Comment 9 Thom Carlin 2015-10-28 08:05:35 EDT
9. Press Approve button, on Approve screen try to change tab on the Dialog at the bottom of screen

also need 0.  Setup Approval per Lifecycle_and_Automation_Guide, Provisioning_Request_Approval_Methods1

Was able to move around tabs at bottom of screen for both approval and denial.

Verified in 5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 11 errata-xmlrpc 2015-12-08 08:35:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.